Loading...
Searching...
No Matches
Dune::Indices::Literals Namespace Reference
Common

## Functions

template<char... digits>
constexpr auto | operator""_ic ()
| Literal to create an index compile-time constant.
template<char... digits>
constexpr auto | operator""_uc ()
| Literal to create an unsigned integer compile-time constant.
template<char... digits>
constexpr auto | operator""_sc ()
| Literal to create a signed integer compile-time constant.
template<class T, T value>
constexpr auto | operator- (std::integral_constant< T, value >)
| Negation operator for integral constants.